
acconfig.h

test_source.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

ztrsv.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

weibullinv.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

config.h.in

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

urand.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

gsl-histogram.c
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'atof' at line: 40
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'atof' at line: 41
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'gsl_histogram_mean' at line: 65
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'h' at line: 65
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'gsl_histogram_sigma' at line: 66
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'h' at line: 66

gsl_machine.h

gsl_math.h
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 142
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 142
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 142
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'GSL_MIN' at line: 148
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'int ' at line: 148
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'int ' at line: 148
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 154
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MIN' at line: 160
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 166
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MIN' at line: 172

gsl_mode.h
Warning : Assignment or comparison to type int  may contain wrong conversion for 'mt' at line: 74
Warning : Assignment or comparison to type int  may contain wrong conversion for 'int' at line: 74
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 74

gsl_nan.h

gsl_pow_int.h
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 45
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 45
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 47
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 47
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 49
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 49
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 51
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 51
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52

gsl-randist.c
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'malloc' at line: 240
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 240

gsl_types.h

gsl_version.h

gsl_version.h.in

urand.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

workspace.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

tridiag.h
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

view_source.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.h
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

vegas.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

work.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

vector_bfgs.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test_funcs.h
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

zsolve_quadratic.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

weibull.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

zuf.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

zeta.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

wvariance_source.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

work_utrunc.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

test.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

templates_off.h

templates_on.h

results.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

system.h
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

view_source.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

version.c

wavelet.c
Usage: /home/wschrep/precompiler/precompile [options] <inputfile> <outputfile>

Options:
  -nofor             don't convert variables in for loops
  -c <configfile>    specify xml file containing procedures and/or variables
                      which must be skipped
  -x <convertfile>   xml file which specifies the conversion between types
  -noprintf          don't convert printf statements
  -preparse          use preparser to make a list of all constructed 
                      variables in <outputfile>
  -constants         write position of constants 'decimal' or 'integer' to <outfile>
  -single            sets IEEE single precision.
  -double            sets IEEE double precision.
  -radix <size>      set the radix size, default size=2
  -precision <size>  set the precision size, default size=24
  -exp <low> <up>    set the exponent default low=-126, upper=127
  -expbits <bitsize> set the nr of bits the exponent must use
  -round <n|p|m|z>   set the rounding type, default = n  
                      n = round to nearest
                      p = round to plus inf
                      m = round to min inf
                      z = round to zero
  -outputverbose     set verbose output 
  -outputmpieee <p|d|b|y|h|r|f>+ set the MpIeee output type, default = d 
                      p = parameter
                      d = decimal
                      b = binary
                      y = binary representation
                      h = hexidecimal representation
                      r = rational
                      f = flags
  -outputrational <d|r|f>+ set the Rational output type, default = r  
                      d = decimal
                      r = rational
                      f = flags
  -default           insert precision settings after the main(){ 
  -init <initfile>   insert source code contained in file after the main(){ 

The options -outputmpieee and -outputrational can have more than 1
output type(indicated with the +)
for example: /home/wschrep/precompiler/precompile in out -outputmpieee pdy

acconfig.h

config.h.in

gsl-histogram.c
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'atof' at line: 40
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'atof' at line: 41
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'gsl_histogram_mean' at line: 65
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'h' at line: 65
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'gsl_histogram_sigma' at line: 66
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'h' at line: 66

gsl_machine.h

gsl_math.h
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 142
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 142
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 142
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'GSL_MIN' at line: 148
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'int ' at line: 148
Warning : Assignment or comparison to type int
 may contain wrong conversion for 'int ' at line: 148
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 154
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MIN' at line: 160
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MAX' at line: 166
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'GSL_MIN' at line: 172

gsl_mode.h
Warning : Assignment or comparison to type int  may contain wrong conversion for 'mt' at line: 74
Warning : Assignment or comparison to type int  may contain wrong conversion for 'int' at line: 74
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 74

gsl_nan.h

gsl_pow_int.h
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 45
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 45
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 46
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 47
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 47
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 48
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 49
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 49
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 50
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 51
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 51
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'const MpIeee' at line: 52

gsl_precision.h

gsl-randist.c
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Matcher::convertLookup : could not find path from integer to int  at line: 42
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'malloc' at line: 240
Warning : Assignment or comparison to type MpIeee may contain wrong conversion for 'int ' at line: 240

gsl_types.h

gsl_version.h

gsl_version.h.in

templates_off.h

templates_on.h

version.c
